"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var OBDField_1 = require("./OBDField");
var integer = function (unit, value) { return Math.round(value) + " " + unit; };
var rowData = function (unit, value) { return value; };
var commandedSecondaryAirStatus = function (value) {
    switch (value) {
        case 1:
            return 'Upstream';
        case 2:
            return 'Downstream of catalytic converter';
        case 3:
            return 'From the outside atmosphere or off';
        case 4:
            return 'Pump commanded on for diagnostics';
        default:
            return '';
    }
};
/* tslint:disable:no-unused-variable */
exports.FUEL_SYSTEM_STATUS = new OBDField_1.OBDField('0103', 'Fuel System Status', '', '', rowData);
exports.CALCULATED_ENGINE_LOAD = new OBDField_1.OBDField('0104', 'Calculated Engine Load', '%', 0, integer);
exports.ENGINE_COOLANT_TEMPERATURE = new OBDField_1.OBDField('0105', 'Engine Coolant Temperature', '°C', 0, integer);
exports.SHORT_TERM_FUEL_TRIM_B_1 = new OBDField_1.OBDField('0106', 'Short Term Fuel Trim B1', '%', 0, integer);
exports.LONG_TERM_FUEL_TRIM_B_1 = new OBDField_1.OBDField('0107', 'Long Term Fuel Trim B1', '%', 0, integer);
exports.SHORT_TERM_FUEL_TRIM_B_2 = new OBDField_1.OBDField('0108', 'Short Term Fuel Trim B2', '%', 0, integer);
exports.LONG_TERM_FUEL_TRIM_B_2 = new OBDField_1.OBDField('0109', 'Long Term Fuel Trim B2', '%', 0, integer);
exports.RPM = new OBDField_1.OBDField('010C', 'Engine RPM', 'rpm', 0, integer);
exports.VEHICLE_SPEED = new OBDField_1.OBDField('010D', 'Vehicle Speed', 'km/h', 0);
exports.MASS_FLOW_SENSOR = new OBDField_1.OBDField('0110', 'Mass Flow Sensor', 'grams/sec', 0);
exports.FUEL_PRESSURE = new OBDField_1.OBDField('010A', 'Fuel Pressure', 'kPa', 0);
exports.INTAKE_MANIFOLD_ABSOLUTE_PRESSURE = new OBDField_1.OBDField('010B', 'Intake Manifold Absolute Pressure', 'kPa', 0);
exports.TIMING_ADVANCE = new OBDField_1.OBDField('010E', 'Timing Advance', '° before TDC', 0, rowData);
exports.INTAKE_AIR_TEMPERATURE = new OBDField_1.OBDField('010F', 'Intake Air Temperature', '°C', 0);
exports.THROTTLE_POSITION = new OBDField_1.OBDField('0111', 'Throttle Position', '%', 0, integer);
exports.COMMANDED_SECONDARY_AIR_STATUS = new OBDField_1.OBDField('0112', 'Commanded Secondary Air Status', '', 1, commandedSecondaryAirStatus);
exports.OXYGEN_SENSOR_VOLTAGE_1 = new OBDField_1.OBDField('0114', 'Oxygen Sensor Voltage 1', 'volts', 0);
exports.OXYGEN_SENSOR_VOLTAGE_2 = new OBDField_1.OBDField('0115', 'Oxygen Sensor Voltage 2', 'volts', 0);
exports.OXYGEN_SENSOR_VOLTAGE_3 = new OBDField_1.OBDField('0116', 'Oxygen Sensor Voltage 3', 'volts', 0);
exports.OXYGEN_SENSOR_VOLTAGE_4 = new OBDField_1.OBDField('0117', 'Oxygen Sensor Voltage 4', 'volts', 0);
exports.OXYGEN_SENSOR_VOLTAGE_5 = new OBDField_1.OBDField('0118', 'Oxygen Sensor Voltage 5', 'volts', 0);
exports.OXYGEN_SENSOR_VOLTAGE_6 = new OBDField_1.OBDField('0119', 'Oxygen Sensor Voltage 6', 'volts', 0);
exports.OXYGEN_SENSOR_VOLTAGE_7 = new OBDField_1.OBDField('011A', 'Oxygen Sensor Voltage 7', 'volts', 0);
exports.OXYGEN_SENSOR_VOLTAGE_8 = new OBDField_1.OBDField('011B', 'Oxygen Sensor Voltage 8', 'volts', 0);
exports.OXYGEN_SENSOR_SHORT_TERM_FUEL_TRIM_1 = new OBDField_1.OBDField('0114', 'Oxygen Sensor Short Term Fuel Trim 1', '%', 0);
exports.OXYGEN_SENSOR_SHORT_TERM_FUEL_TRIM_2 = new OBDField_1.OBDField('0115', 'Oxygen Sensor Short Term Fuel Trim 2', '%', 0);
exports.OXYGEN_SENSOR_SHORT_TERM_FUEL_TRIM_3 = new OBDField_1.OBDField('0116', 'Oxygen Sensor Short Term Fuel Trim 3', '%', 0);
exports.OXYGEN_SENSOR_SHORT_TERM_FUEL_TRIM_4 = new OBDField_1.OBDField('0117', 'Oxygen Sensor Short Term Fuel Trim 4', '%', 0);
exports.OXYGEN_SENSOR_SHORT_TERM_FUEL_TRIM_5 = new OBDField_1.OBDField('0118', 'Oxygen Sensor Short Term Fuel Trim 5', '%', 0);
exports.OXYGEN_SENSOR_SHORT_TERM_FUEL_TRIM_6 = new OBDField_1.OBDField('0119', 'Oxygen Sensor Short Term Fuel Trim 6', '%', 0);
exports.OXYGEN_SENSOR_SHORT_TERM_FUEL_TRIM_7 = new OBDField_1.OBDField('011A', 'Oxygen Sensor Short Term Fuel Trim 7', '%', 0);
exports.OXYGEN_SENSOR_SHORT_TERM_FUEL_TRIM_8 = new OBDField_1.OBDField('011B', 'Oxygen Sensor Short Term Fuel Trim 8', '%', 0);
exports.DISTANCE_TRAVELED_MIL = new OBDField_1.OBDField('0121', 'Distance Traveled MIL', 'km', 0);
exports.FUEL_TANK_LEVEL = new OBDField_1.OBDField('012F', 'Fuel Tank Level', '%', 0, integer);
exports.ETHANOL_LEVEL = new OBDField_1.OBDField('0152', 'Ethanol Level', '%', 0, integer);
exports.ENGINE_FUEL_RATE = new OBDField_1.OBDField('015E', 'Engine Fuel Rate', 'L/h', 0);
exports.VEHICLE_IDENTIFIER = new OBDField_1.OBDField('0902', 'Vehicle Identifier', '', '', rowData);
//# sourceMappingURL=OBDFields.js.map